lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "metanorma/generic/version"

Gem::Specification.new do |spec|
  spec.name          = "metanorma-generic"
  spec.version       = Metanorma::Generic::VERSION
  spec.authors       = ["Ribose Inc."]
  spec.email         = ["open.source@ribose.com"]

  spec.summary       = "Metanorma template gem for customisation."
  spec.description   = <<~DESCRIPTION
        Metanorma template gem for customisation. This gem is meant to be customised for any downstream use.
    #{'    '}
        Formerly known as metanorma-acme
  DESCRIPTION

  spec.homepage      = "https://github.com/metanorma/metanorma-generic"
  spec.license       = "BSD-2-Clause"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.required_ruby_version = Gem::Requirement.new(">= 2.5.0")

  spec.add_dependency "htmlentities", "~> 4.3.4"
  spec.add_dependency "isodoc", "~> 1.7.0"
  spec.add_dependency "metanorma-standoc", "~> 1.10.0"
  spec.add_dependency "ruby-jing"

  spec.add_development_dependency "byebug", "~> 9.1"
  spec.add_development_dependency "equivalent-xml", "~> 0.6"
  spec.add_development_dependency "guard", "~> 2.14"
  spec.add_development_dependency "guard-rspec", "~> 4.7"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rspec", "~> 3.6"
  spec.add_development_dependency "rubocop", "~> 1.5.2"
  spec.add_development_dependency "sassc", "2.4.0"
  spec.add_development_dependency "simplecov", "~> 0.15"
  spec.add_development_dependency "timecop", "~> 0.9"
end
